hpp-fcl: hpp::fcl::Triangle Class Reference

hpp-fcl 1.7.3 HPP fork of FCL -- The Flexible Collision Library

Public Types | Public Member Functions | Static Public Member Functions | List of all members
hpp::fcl::Triangle Class Reference

Triangle with 3 indices for points. More...

`#include <hpp/fcl/data_types.h>`

## Public Types
typedef std::size_t | index_type
typedef int | size_type

## Public Member Functions
| Triangle ()
| Default constructor. More...
| Triangle (index_type p1, index_type p2, index_type p3)
| Create a triangle with given vertex indices. More...
void | set (index_type p1, index_type p2, index_type p3)
| Set the vertex indices of the triangle. More...
index_type | operator[] (int i) const
| Access the triangle index. More...
index_type & | operator[] (int i)
bool | operator== (const Triangle &other) const
bool | operator!= (const Triangle &other) const

## Static Public Member Functions
static size_type | size ()

## Detailed Description

Triangle with 3 indices for points.

## Member Typedef Documentation

## ◆ index_type

typedef std::size_t hpp::fcl::Triangle::index_type

## ◆ size_type

typedef int hpp::fcl::Triangle::size_type

## Constructor & Destructor Documentation

## ◆ Triangle() [1/2]

hpp::fcl::Triangle::Triangle | ( |  | ) |
| inline

Default constructor.

## ◆ Triangle() [2/2]

hpp::fcl::Triangle::Triangle | ( | index_type | p1,
|  | index_type | p2,
|  | index_type | p3
| ) |  |
| inline

Create a triangle with given vertex indices.

## Member Function Documentation

## ◆ operator!=()

bool hpp::fcl::Triangle::operator!= | ( | const Triangle & | other | ) | const
| inline

## ◆ operator==()

bool hpp::fcl::Triangle::operator== | ( | const Triangle & | other | ) | const
| inline

## ◆ operator[]() [1/2]

index_type& hpp::fcl::Triangle::operator[] | ( | int | i | ) |
| inline

## ◆ operator[]() [2/2]

index_type hpp::fcl::Triangle::operator[] | ( | int | i | ) | const
| inline

Access the triangle index.

## ◆ set()

void hpp::fcl::Triangle::set | ( | index_type | p1,
|  | index_type | p2,
|  | index_type | p3
| ) |  |
| inline

Set the vertex indices of the triangle.

## ◆ size()

static size_type hpp::fcl::Triangle::size | ( |  | ) |
| inlinestatic

The documentation for this class was generated from the following file:

- include/hpp/fcl/data_types.h